Create subscription

POST
/api/v2/buyers/{buyerId}/subscriptions
lts

This API endpoint is used to create a new manual subscription that will belong to a specific buyer.

Header parameters
Attribute
Requirement
Description
x-public-key
mandatory
a public key that identifies the merchant account (there can be several for one merchant)
x-buyer-ip
mandatory
is responsible for information about the buyer's IP address
x-date
mandatory
is responsible for the date and time of sending the request
x-token
mandatory
generated on the merchant side
x-source
mandatory
pass the value shop
x-id
mandatory
merchant name
Request parameters
Attribute
Type
Requirement
Description
Standard
buyerId
string
mandatory
Unique identifier of buyer in the system
uuid
productId
string
optional
Unique identifier of the product the subscription is created for
uuid
currency
string
optional
The currency code in which the payment will be processed.
Default: USD (if not provided)
ISO 4217
start
string
optional
Index
date-time
(Y-m-d\TH:i:sP)
end
string
optional
Region/state
date-time
(Y-m-d\TH:i:sP)
Response parameters
Attribute
Type
Description
data
object
Contains the main subscription information
meta
object
Provides metadata about the response
{
  "data": {
    "id": "76767729-d9dd-46e8-9dfd-e5e93b01cf73"
  },
  "meta": {
    "type": "entity"
  }
}
Errors and interpretation

The list of possible errors for this endpoint, along with their types and interpretation, is provided in the general reference: Endpoint response errors.